Get Chargebacks
curl --request GET \
--url https://server.stage.overflow.co/api/v3/chargebacks \
--header 'x-api-key: <api-key>' \
--header 'x-client-id: <api-key>'import requests
url = "https://server.stage.overflow.co/api/v3/chargebacks"
headers = {
"x-client-id": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-client-id': '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://server.stage.overflow.co/api/v3/chargebacks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "8810f34fd5061afeec3eab67",
"contributionId": "8810f34fd5061afeec3eab68",
"status": "pending",
"type": "dispute",
"amountInCents": 12500,
"netValueInCents": 12900,
"feeValueInCents": 400,
"processorChargebackId": "du_123456789",
"reason": "Unauthorized transaction",
"depositId": "8810f34fd5061afeec3eab69",
"createdAt": "2026-05-19T00:00:00.000Z",
"updatedAt": "2026-05-20T00:00:00.000Z"
}
],
"totalCount": 100
}Get Chargebacks
Returns chargebacks for the authenticated nonprofit based on the provided filters.
Chargeback Status
pending: The chargeback is still in progress.lost: The chargeback was finalized against the nonprofit.won: The chargeback was finalized in the nonprofit’s favor.
Chargeback Types
ach_return: The chargeback originated from an ACH return.dispute: The chargeback originated from a card dispute.
Filtering
- Use
contributionIdto return chargebacks for a specific contribution. - Use
minimumUpdatedDateandmaximumUpdatedDateto poll for chargebacks that changed within a specific window. - Results are sorted by
createdAt(ascending or descending viasortDirection) and paginated withlimitandpage.
All monetary amounts in the response are expressed in cents.
GET
/
api
/
v3
/
chargebacks
Get Chargebacks
Authorizations
Client ID for API authentication
API Key for API authentication
Query Parameters
The number of chargebacks to return.
Required range:
1 <= x <= 100The page number of the chargebacks to return.
Required range:
x >= 1Sort direction by chargeback created date. Defaults to descending.
Available options:
ASC, DESC Example:
"DESC"
Filter by contribution id.
Pattern:
^[0-9a-fA-F]{24}$Example:
"8810f34fd5061afeec3eab68"
The minimum updated date of the chargebacks to return.
Example:
"2025-01-01"
The maximum updated date of the chargebacks to return.
Example:
"2025-02-01"
Last modified on July 14, 2026
Was this page helpful?